Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nz.co.cks.tms.xml.types
Class NcbAddressTypeType

    java.lang.Object
      nz.co.cks.tms.xml.types.NcbAddressTypeType

All Implemented Interfaces:
  java.io.Serializable

public class NcbAddressTypeType
extends java.lang.Object
implements java.io.Serializable

CKS TMS NCB Address Types

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private static java.util.Hashtable` | `_memberTable` Field _memberTable
`static NcbAddressTypeType` | `BILLING` The instance of the Billing type
`static int` | `BILLING_TYPE` The Billing type
`static NcbAddressTypeType` | `DELIVERY` The instance of the Delivery type
`static int` | `DELIVERY_TYPE` The Delivery type
`static NcbAddressTypeType` | `RECEIPT` The instance of the Receipt type
`static int` | `RECEIPT_TYPE` The Receipt type
`private java.lang.String` | `stringValue` Field stringValue
`private int` | `type` Field type

Constructor Summary
`private` | `NcbAddressTypeType(int type, java.lang.String value)`

Method Summary
`static java.util.Enumeration` | `enumerate()` Method enumerateReturns an enumeration of all possible instances of NcbAddressTypeType
`int` | `getType()` Method getTypeReturns the type of this NcbAddressTypeType
`private static java.util.Hashtable` | `init()` Method init
`java.lang.String` | `toString()` Method toStringReturns the String representation of this NcbAddressTypeType
`static NcbAddressTypeType` | `valueOf(java.lang.String string)` Method valueOfReturns a new NcbAddressTypeType based on the given String value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _memberTable

    private static java.util.Hashtable _memberTable

  Field _memberTable

### BILLING

    public static final NcbAddressTypeType BILLING

  The instance of the Billing type

### BILLING_TYPE

    public static final int BILLING_TYPE

  The Billing type

  See Also:
    Constant Field Values

### DELIVERY

    public static final NcbAddressTypeType DELIVERY

  The instance of the Delivery type

### DELIVERY_TYPE

    public static final int DELIVERY_TYPE

  The Delivery type

  See Also:
    Constant Field Values

### RECEIPT

    public static final NcbAddressTypeType RECEIPT

  The instance of the Receipt type

### RECEIPT_TYPE

    public static final int RECEIPT_TYPE

  The Receipt type

  See Also:
    Constant Field Values

### stringValue

    private java.lang.String stringValue

  Field stringValue

### type

    private int type

  Field type

Constructor Detail

### NcbAddressTypeType

    private NcbAddressTypeType(int type,
                               java.lang.String value)

Method Detail

### enumerate

    public static java.util.Enumeration enumerate()

  Method enumerateReturns an enumeration of all possible instances of NcbAddressTypeType

### getType

    public int getType()

  Method getTypeReturns the type of this NcbAddressTypeType

### init

    private static java.util.Hashtable init()

  Method init

### toString

    public java.lang.String toString()

  Method toStringReturns the String representation of this NcbAddressTypeType

### valueOf

    public static NcbAddressTypeType valueOf(java.lang.String string)

  Method valueOfReturns a new NcbAddressTypeType based on the given String value.

  Parameters:
    `string` -

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD